跳到主要内容

机票

Chargeable extras available for an offer — today extra checked-baggage allowances, priced by the airline per passenger. Add them to the order via `ancillaries[]` on POST /v1/flights/orders.

get/v1/flights/offers/{offerId}/ancillaries

  • 需要身份验证

参数

名称位置类型说明
offerId*路径string

响应

200OKAncillariesResponse

  • offerIdstring
  • BaggageOption[]
    • keystring可为 null
    • descriptionstring可为 null
    • piecesstring可为 null
    • weightstring可为 null
    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

代码示例

完整的程序,按网关的验证方式对请求进行签名。请替换 YOUR_KEY_ID 和 YOUR_SECRET。

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/ancillaries\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/ancillaries" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"